View Issue Details

IDProjectCategoryView StatusLast Update
0003600SOGoWeb Mailpublic2017-04-09 12:50
Reporterskrupellos Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.0 
Fixed in Version3.1.1 
Summary0003600: Disable Gravatar
Description

Since Version 3, SOGo supports the Gravatar tracker by default. This prevents us from switching to the newest version. Please add the possibility to disable the Gravatar for all users and enable this option by default.

A more advanced possibility would be to have the global gravatar configuration values:

  • Disabled (Users can't enable gravatars)
  • User, disabled (default. Users can change their gravatar configuration. User default: Disabled)
  • User, mm
  • User, identicon
  • User, monsterid
  • ...

This could be implemented by extending the current Gravatar setting (so, it's still compatible).

TagsNo tags attached.

Activities

inty

inty

2016-05-23 04:42

reporter   ~0010197

This doesn't really fit with the summary of this issue but I'll add it here. I'd actually would like to be able to change the gravatar url to our own gravatar service. We have our own gravatar service that has pictures from our LDAP server so this would be a simple way to get those into SOGo.

Jens Erat

Jens Erat

2016-05-24 03:13

reporter   ~0010202

This might be a blocking issue for offering SOGo 3 in Germany (and probably other countries in the European Union), at least as long you don't put extra privacy notes somewhere. Gravatar allows user tracking.

Please add an option to disable Gravatar completely, so the individual user cannot even enable it (as soon as he's possible, the privacy notes will probably have to be extended). An additional setting to disable Gravatar by default (but allow enabling it per user) would be fine.

Is there anything else fetching data from another site but the SOGo domain (including font services, hosted JavaScript, ...)?

Related Changesets

sogo: master a9ee261e

2016-05-25 16:04:58

francis

Details Diff
Allow disabling Gravatar

Resolves 0003600
Affected Issues
0003600
mod - Documentation/SOGoInstallationGuide.asciidoc Diff File
mod - NEWS Diff File
mod - SoObjects/SOGo/SOGoDefaults.plist Diff File
mod - SoObjects/SOGo/SOGoDomainDefaults.h Diff File
mod - SoObjects/SOGo/SOGoDomainDefaults.m Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.h Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.m Diff File
mod - UI/PreferencesUI/English.lproj/Localizable.strings Diff File
mod - UI/PreferencesUI/UIxJSONPreferences.m Diff File
mod - UI/PreferencesUI/UIxPreferences.m Diff File
mod - UI/Templates/PreferencesUI/UIxPreferences.wox Diff File
mod - UI/WebServerResources/js/Common/sgAvatarImage.directive.js Diff File

Issue History

Date Modified Username Field Change
2016-03-24 15:44 skrupellos New Issue
2016-05-23 04:42 inty Note Added: 0010197
2016-05-24 03:13 Jens Erat Note Added: 0010202
2016-05-25 16:07 francis Changeset attached => sogo master a9ee261e
2016-05-25 16:07 francis Assigned To => francis
2016-05-25 16:07 francis Resolution open => fixed
2016-05-25 16:08 francis Status new => resolved
2016-05-25 16:08 francis Fixed in Version => 3.1.1